#include <bits/stdc++.h>
using namespace std ;
int main () {
    int a;
    int n ;
    cin >> n ;
    int cnt=0;
    for(int i=1;n<100; i++) {
            cin>>a;
    if (a==1) cout<<cnt+=2;
    else if(a==2) cout<<cnt+=3;
    else if(a==3) cout<<cnt+=4;
    else fi(a==4) cout<<cnt+=5;
        cnt++;
    }
    cout<<cnt;
}
